UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMApplicationHeaderChainIterator Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMApplicationHeaderChainIterator:

## Public Member Functions
boolean | hasNext ()
LBMApplicationHeaderChainElement | next ()
void | remove () throws UnsupportedOperationException
void | dispose () throws LBMException

## Protected Member Functions
void | finalize () throws LBMException

## Member Function Documentation

void com.latencybusters.lbm.LBMApplicationHeaderChainIterator.dispose | ( |  | ) | throws LBMException

Cleans up memory associated with this LBMApplicationHeaderChainIterator immediately. An iterator should not be used again once dispose() has been called. Calling dispose() is optional.

Since
  UMQ 1.1

Referenced by com.latencybusters.lbm.LBMApplicationHeaderChainIterator.finalize().

void com.latencybusters.lbm.LBMApplicationHeaderChainIterator.finalize | ( |  | ) | throws LBMException
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMApplicationHeaderChainIterator.dispose().

boolean com.latencybusters.lbm.LBMApplicationHeaderChainIterator.hasNext | ( |  | ) |

Returns true if one or more application header chain elements remain in an LBMApplicationHeaderChain, false otherwise.

Since
  UMQ 1.1

LBMApplicationHeaderChainElement com.latencybusters.lbm.LBMApplicationHeaderChainIterator.next | ( |  | ) |

Gets the next LBMApplicationHeaderChainElement in an LBMApplicationHeaderChain.

Since
  UMQ 1.1

void com.latencybusters.lbm.LBMApplicationHeaderChainIterator.remove | ( |  | ) | throws UnsupportedOperationException

Removes the current LBMApplicationHeaderChainElement from an LBMApplicationHeaderChain.

NOTE: remove() is currently unsupported - calling remove will throw an UnsupportedOperationException.

Exceptions

  UnsupportedOperationException | Always - remove is not currently implemented.

The documentation for this class was generated from the following file:

- LBMApplicationHeaderChainIterator.java